/******************************************************************************/
/* BAIChasingTracksCF -   BattleFleet              */
/******************************************************************************/

#ifndef BAIChasingTracksCF_H
#define BAIChasingTracksCF_H
static const char baichasingtrackscf_h_id[]="@(#) $Id: baichasingtrackscf.h,v 1.1 2005/01/09 14:27:05 Oleksiy Balabay Exp $"; static const char* baichasingtrackscf_h_id_id=baichasingtrackscf_h_id;
/** \file baichasingtrackscf.h
  \brief  BAIChasingTracksCF  BattleFleet

     BAIChasingTracksCF  BattleFleet
*/
#include "baichasingtracks.h"

class BAIChasingTracksCF: public BAIChasingTracks {
public:
  BAIChasingTracksCF(BattleObserver* observer, 
    BattleObject* pursuier, BattleObject* evader);
  virtual ~BAIChasingTracksCF();
protected:
  virtual BFinder::PathFinderOutput findPathAlg(
    const BFinder::PathFinderInput& in);
  virtual double timeToAlg(
    const BFinder::PathFinderInput& in, bool* speedUp);
};

#endif // BAIChasingTracksCF_H
