/******************************************************************************/
/* BAICollisions -   BattleFleet              */
/******************************************************************************/

#ifndef BAICollisions_H
#define BAICollisions_H
static const char baicollisions_h_id[]="@(#) $Id: baicollisions.h,v 1.2 2005/01/28 17:06:07 Oleksiy Balabay Exp $"; static const char* baicollisions_h_id_id=baicollisions_h_id;
/** \file baicollisions.h
  \brief  BAICollisions  BattleFleet

     BAICollisions  BattleFleet
*/
#include <vector>

#include "baichasingtracks.h"
#include "battleobject.h"

class BAICollisions: public BAIChasingAlg {
public:
  BAICollisions(BattleObserver* observer, 
  BattleObject* pursuier, BattleObject* evader);
  virtual ~BAICollisions();
  virtual bool takeControl();
protected:
  BattleObjects possibleCollisions(const QDateTime& dt);
  bool checkCollisions(const BattleObjects& possibleCollisions, 
    BattleObject** realCollision, QDateTime& colTime);
  bool takeActions(BattleObject* o, const QDateTime& dt);
//  bool checkCollisions(const BattleObjects& possibleCollisions, 
//    BattleObjects& realCollisions);
//  bool takeActions(const BattleObjects& realCollisions, const QDateTime& dt);
};

#endif // BAICollisions_H
