/******************************************************************************/
/* BallonHelp -   BattleFleet              */
/******************************************************************************/

#ifndef BallonHelp_H
#define BallonHelp_H
static const char ballonhelp_h_id[]="@(#) $Id: ballonhelp.h,v 1.1 2005/01/05 11:47:21 Oleksiy Balabay Exp $"; static const char* ballonhelp_h_id_id=ballonhelp_h_id;
/** \file ballonhelp.h
  \brief  BallonHelp  BattleFleet

     BallonHelp  BattleFleet
*/

class BallonHelp {
public:
  static const char *S_OPTIONS_MISC;
  static const char *S_OPTIONS_MISC_SHOW_BALLON_HELP;
  static const char *BALLON_HELP;
  static const char *BALLON_HELP_MODES;
  static const char *BALLON_HELP_DOCK_WINDOWS;
  static const char *BALLON_HELP_LINE_COLORS;
  static const char *BALLON_HELP_EDITOR_MODES;
  static const char *BALLON_HELP_SELECTION;
  static const char *BALLON_HELP_AUTO_CONTROL;
  BallonHelp();
  virtual ~BallonHelp();
  bool shouldBeShown(const char* message) const;
  void setShown(const char* message);
  void reset();
  void setAutoShow(bool autoShow);
  bool isAutoShow() const;
};

#endif // BallonHelp_H
