/******************************************************************************/
/* BAppStateEdit -   BattleFleet  (impl.)            */
/******************************************************************************/
static const char bappstateedit_cpp_id[]="@(#) $Id: bappstateedit.cpp,v 1.6 2004/10/13 05:33:50 Oleksiy Balabay Exp $"; static const char* bappstateedit_cpp_id_id=bappstateedit_cpp_id;

#include <qprogressdialog.h>

#include "bappstateedit.h"
#include "battleedit.h"
#include "bapplication.h"
#include "bscenariotable.h"
//#include "bnewscenario.h"

/** \file bappstateedit.cpp
  \brief  BAppStateEdit  BattleFleet (impl.)

     BAppStateEdit  BattleFleet
*/

/** \class BAppStateEdit
  \brief 


*/
BAppStateEdit::BAppStateEdit() {
}

BAppStateEdit::~BAppStateEdit(){
}

BAppModes BAppStateEdit::appMode() {
  return EditMode;
}

void BAppStateEdit::init(const BattleLoadData& loadData)  {
/*  if (battleFileName == BScenarioTableEdit::NEW_SCENARIO_FILE_NAME) {
    BNewScenario newScenario(0, "newscenario", true);
    newScenario.exec();
    if (newScenario.result() == QDialog::Accepted) {
      initBattle(bApp->scenariosDir()+"/"+ newScenario._fileName->text()+".xml");
    }
    else {
      bApp->quit();
    }
  }
  else {
    initBattle(battleFileName);
  }
*/
  initBattle(loadData);
}

void BAppStateEdit::initBattle(const BattleLoadData& loadData) 
   { 
  bApp->checkProgressDialog(5, 
    QProgressDialog::tr("Creating new scenario..."));
  _battle = new BattleEdit(loadData);
  bApp->checkProgressDialog(25, 
    QProgressDialog::tr("New scenario initialization..."));
  _battle->init();
}
