/******************************************************************************/
/* BAppStateGame -   BattleFleet  (impl.)            */
/******************************************************************************/
static const char bappstategame_cpp_id[]="@(#) $Id: bappstategame.cpp,v 1.6 2004/10/18 15:02:05 Oleksiy Balabay Exp $"; static const char* bappstategame_cpp_id_id=bappstategame_cpp_id;

#include <qprogressdialog.h>

#include "bappstategame.h"
#include "bapplication.h"
#include "battlegame.h"

/** \file bappstategame.cpp
  \brief  BAppStateGame  BattleFleet (impl.)

     BAppStateGame  BattleFleet
*/

/** \class BAppStateGame
  \brief 


*/
BAppStateGame::BAppStateGame() {
}

BAppStateGame::~BAppStateGame(){
}

BAppModes BAppStateGame::appMode() {
  return GameMode;
}

void BAppStateGame::init(const BattleLoadData& loadData) {
  initBattle(loadData);
}

void BAppStateGame::initBattle(const BattleLoadData& loadData) { 
  bApp->checkProgressDialog(5, 
    QProgressDialog::tr("Creating new scenario..."));
  _battle = new BattleGame(loadData);
  bApp->checkProgressDialog(25, 
    QProgressDialog::tr("New scenario initialization..."));
  _battle->init();
}
