/******************************************************************************/
/* BAppStateGame -   BattleFleet              */
/******************************************************************************/

#ifndef BAppStateGame_H
#define BAppStateGame_H
static const char bappstategame_h_id[]="@(#) $Id: bappstategame.h,v 1.3 2004/10/10 10:18:20 Oleksiy Balabay Exp $"; static const char* bappstategame_h_id_id=bappstategame_h_id;
/** \file bappstategame.h
  \brief  BAppStateGame  BattleFleet

     BAppStateGame  BattleFleet
*/

#include "bappstate.h"

class BException;
class BFactoryGame;

class BAppStateGame: public BAppState {
  friend class BFactoryGame;
  BAppStateGame();
public:
  virtual ~BAppStateGame();
  virtual void init(const BattleLoadData& loadData);
  virtual BAppModes appMode();
protected:
  void initBattle(const BattleLoadData& loadData);
};

#endif // BAppStateGame_H
