/******************************************************************************/
/* BCentralEdit -   BattleFleet              */
/******************************************************************************/

#ifndef BCentralEdit_H
#define BCentralEdit_H
static const char bcentraledit_h_id[]="@(#) $Id: bcentraledit.h,v 1.2 2004/05/10 11:00:12 Oleksiy Balabay Exp $"; static const char* bcentraledit_h_id_id=bcentraledit_h_id;
/** \file bcentraledit.h
  \brief  BCentralEdit  BattleFleet

     BCentralEdit  BattleFleet
*/
#include "bcentral.h"

class BCentralEdit: public BCentral {
  Q_OBJECT
public:
  BCentralEdit(BObserverCentral* observer, QWidget* parent, 
    const char* name = 0);
  virtual ~BCentralEdit();
public slots:
  virtual void slotBattleInfoChanged(const BattleInfo& battleInfo);
protected:
  virtual void dragEnterEvent(QDragEnterEvent* e);
  virtual void dropEvent(QDropEvent* e);
};

#endif // BCentralEdit_H
