/******************************************************************************/
/* BCoordinateEdit -   BattleFleet              */
/******************************************************************************/

#ifndef BCoordinateEdit_H
#define BCoordinateEdit_H
static const char bcoordinateedit_h_id[]="@(#) $Id: bcoordinateedit.h,v 1.2 2004/06/26 17:06:46 Oleksiy Balabay Exp $"; static const char* bcoordinateedit_h_id_id=bcoordinateedit_h_id;
/** \file bcoordinateedit.h
  \brief  BCoordinateEdit  BattleFleet

     BCoordinateEdit  BattleFleet
*/
#include "bcoordinateeditbase.h"

class BCoordinateEdit: public BCoordinateEditBase {
  Q_OBJECT
public:
  BCoordinateEdit(QWidget* parent = 0, const char* name = 0, WFlags fl = 0);
  BCoordinateEdit(double deg, 
    QWidget* parent = 0, const char* name = 0, WFlags fl = 0);
  BCoordinateEdit(int deg, int min, int sec, 
    QWidget* parent = 0, const char* name = 0, WFlags fl = 0);
  virtual ~BCoordinateEdit();
  int degrees() const;
  int minutes() const;
  int seconds() const;
  double value() const;
  void setDegreesRange(int degMin, int degMax);
signals:
  void valueChanged(int deg, int min, int sec);
  void valueChanged(double deg);
public slots:
  virtual void setValue(double deg);
  virtual void setValue(int deg, int min, int sec);
private slots:
  virtual void valueChangedInternal();
};

#endif // BCoordinateEdit_H
