/******************************************************************************/
/* BEventClear -   BattleFleet              */
/******************************************************************************/

#ifndef BEventClear_H
#define BEventClear_H
static const char beventclear_h_id[]="@(#) $Id: beventclear.h,v 1.3 2004/08/27 15:54:01 Oleksiy Balabay Exp $"; static const char* beventclear_h_id_id=beventclear_h_id;
/** \file beventclear.h
  \brief  BEventClear  BattleFleet

     BEventClear  BattleFleet
*/
#include "bevent.h"
#include "bdomutils.h"

class BEventClear: public BEvent {
public:
  BEventClear(const QString& objectName, 
    const QDateTime& dt = QDateTime()) throw():BEvent(objectName, dt){
  };
  virtual ~BEventClear() {
  };
  virtual void exec();
  virtual void parse(const QDomElement& element, Battle* /* battle */) {
    setEventFlags(eventFlagFromString(
      BDomUtils::stringAttribute(element, EVENT_FLAGS)));
  }; 
  virtual QDomElement toXml(QDomDocument& doc) const;
  virtual QString description() const;
public:
  static const QString BE_EVENT_TYPE_CLEAR;
};

#endif // BEventClear_H
