/******************************************************************************/
/* BEventProgram -   BattleFleet              */
/******************************************************************************/

#ifndef BEventProgram_H
#define BEventProgram_H
static const char beventprogram_h_id[]="@(#) $Id: beventprogram.h,v 1.7 2004/10/04 15:24:57 Oleksiy Balabay Exp $"; static const char* beventprogram_h_id_id=beventprogram_h_id;
/** \file beventprogram.h
  \brief  BEventProgram  BattleFleet

     BEventProgram  BattleFleet
*/

#include "bevent.h"

class BProgram;

class BEventProgram: public BEvent {
public:
  BEventProgram(const QString& objectName = "", 
    const QDateTime& dt = QDateTime()) throw();
  BEventProgram(BProgram* program, const QString& objectName = "", 
    const QDateTime& dt = QDateTime()) throw();
  virtual ~BEventProgram();
  virtual void exec();
  virtual void parse(const QDomElement& element, Battle* battle); 
  virtual QDomElement toXml(QDomDocument& doc) const;
  virtual QString description() const;
public:
  static const QString BE_EVENT_TYPE_PROGRAM;
private:
  BProgram* _program;
  QDomElement _savedProgram;
};

#endif // BEventProgram_H
