/******************************************************************************/
/* BEventSeaMap -   BattleFleet              */
/******************************************************************************/

#ifndef BEventSeaMap_H
#define BEventSeaMap_H
static const char beventseamap_h_id[]="@(#) $Id: beventseamap.h,v 1.3 2004/08/08 15:20:36 Oleksiy Balabay Exp $"; static const char* beventseamap_h_id_id=beventseamap_h_id;
/** \file beventseamap.h
  \brief  BEventSeaMap  BattleFleet

     BEventSeaMap  BattleFleet
*/

#include "bevent.h"
#include "bseamap.h"

class BattleObject;
class BProgram;

class BEventSeaMap: public BEvent {
public:
  BEventSeaMap(const QDateTime& dt, const BCoordinates& newOrigin) throw();
  virtual ~BEventSeaMap();
  virtual void exec();
  virtual void parse(const QDomElement& element, Battle* battle); 
  virtual QDomElement toXml(QDomDocument& doc) const;
  virtual QString description() const;
public:
  static const QString BE_EVENT_TYPE_SEAMAP;
private:
  BCoordinates _origin;
};

#endif // BEventSeaMap_H
