/******************************************************************************/
/* BFConfig -   BattleFleet              */
/******************************************************************************/

#ifndef BFConfig_H
#define BFConfig_H
static const char bfconfig_h_id[]="@(#) $Id: bfconfig.h,v 1.1 2004/10/01 02:41:31 Oleksiy Balabay Exp $"; static const char* bfconfig_h_id_id=bfconfig_h_id;
/** \file bfconfig.h
  \brief  BFConfig  BattleFleet

     BFConfig  BattleFleet
*/
#include "bxmlconfig.h"

class BFConfig: public BXmlConfig {
public:
  BFConfig(const QString& fileName);
  virtual ~BFConfig();
  QString element(const QString& name, const QString& defValue = "") const;
  QString subElement(const QString& parent, const QString& name, 
    const QString& defValue = "") const;
  QString attribute(const QString& elementName,
    const QString& attributeName, const QString& defValue = "") const;
  QString attribute(const QString& parentElementName, const QString& elementName,
    const QString& attributeName, const QString& defValue) const;
  QDomElement domElement(const QString& name);
private:
  static const QString BF_CONFIG;
};

#endif // BFConfig_H
