/******************************************************************************/
/* BLog -   BattleFleet              */
/******************************************************************************/

#ifndef BLog_H
#define BLog_H
static const char blog_h_id[]="@(#) $Id: blog.h,v 1.5 2005/02/20 14:44:58 Oleksiy Balabay Exp $"; static const char* blog_h_id_id=blog_h_id;
/** \file blog.h
  \brief  BLog  BattleFleet

     BLog  BattleFleet
*/
#include <qdockwindow.h>
#include <qtextedit.h>

extern const char* B_LOG;

class BLogText: public QTextEdit {
  Q_OBJECT
public:
  BLogText(QWidget* parent, const char* name);
  virtual ~BLogText();
protected:
  virtual void contentsMousePressEvent(QMouseEvent* e);
  virtual QPopupMenu* createPopupMenu(const QPoint& pos);
};

class BLog: public QDockWindow {
  Q_OBJECT
public:
  BLog(QWidget* parent, const char* name);
  virtual ~BLog();
  void clear();
public slots:
  void logText(const QString& message);
private:
  BLogText* _logText;
};

#endif // BLog_H
