/******************************************************************************/
/* BMainWindowTexts -     (impl.)            */
/******************************************************************************/
static const char bmainwindowtexts_cpp_id[]="@(#) $Id: bmainwindowtexts.cpp,v 1.3 2005/02/20 14:44:59 Oleksiy Balabay Exp $"; static const char* bmainwindowtexts_cpp_id_id=bmainwindowtexts_cpp_id;

#include "bmainwindowtexts.h"

/** \file bmainwindowtexts.cpp
  \brief    
*/
/*    . 

   _N -  (,  )
   _TT - tool tip
   _ST - status tip
   _WT - what's this

*/

const char * fileToolBar_N = QT_TRANSLATE_NOOP("BMainWindowState", "File");

const char * fileMenu_N = QT_TRANSLATE_NOOP("BMainWindowState", "&File");

const char * fileNewAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "New");
const char * fileNewAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "&New...");
const char * fileNewAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Opens the dialog to select new scenario");
const char * fileNewAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Opens the dialog to select new scenario. Dialog will be opened on the \"New\" "
  "page for the current mode (<b>Edit</b>, <b>Game</b> or <b>Play</b>)");

const char * fileOpenAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Open");
const char * fileOpenAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "&Open...");
const char * fileOpenAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Opens the dialog to select existing scenario");
const char * fileOpenAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Opens the dialog to select existing scenario. Dialog will be opened on the \"Open\" "
  "page for the current mode (<b>Edit</b>, <b>Game</b> or <b>Play</b>)");

const char * fileSaveAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Save");
const char * fileSaveAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "&Save");
const char * fileSaveAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Saves current scenario");
const char * fileSaveAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Saves current scenario in the current file. "
  "If scenario was not saved before <b>SaveAs...</b> dialog will be displayed");

const char * fileSaveAsAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Save as");
const char * fileSaveAsAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "Save &as...");
const char * fileSaveAsAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Saves current scenario with specified name");
const char * fileSaveAsAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Saves current scenario with specified name. "
  "Dialog window to enter name will be displayed");

const char * filePropertiesAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Properties...");
const char * filePropertiesAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Allows to change the scenario properties");
const char * filePropertiesAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Allows to change the scenario properties (Scenario name, sides names, begin date) "
  "Dialog window to enter settings will be displayed");

const char * fileLoadShipsAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Add ships");
const char * fileLoadShipsAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "A&dd ships...");
const char * fileLoadShipsAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Adds file with ships description to ships database");
const char * fileLoadShipsAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Adds file with ships description to ships database. "
  "Additional ships will be available to put in the scenario. "
  "See the online documentation for additional info how to create ships "
  "database file");

const char * fileExitAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Exit");
const char * fileExitAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "E&xit");
const char * fileExitAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Quits the application");
const char * fileExitAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Quits the application. Asks confirmation if required");

const char * battlePlayAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Play");
const char * battlePlayAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "&Play");
const char * battlePlayAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Runs the battle");
const char * battlePlayAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Runs the battle. Select this command to start the battle after the scenario loading "
  "or to resume it after pause");

const char * battlePauseAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Pause");
const char * battlePauseAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "Pa&use");
const char * battlePauseAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Pauses the battle");
const char * battlePauseAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Pauses the battle. Select this command to pause the battle. Select it again "
  "to resume the game after pause");

const char * battleToolBar_N = QT_TRANSLATE_NOOP("BMainWindowState", "Battle");

const char * BattleMenu_N = QT_TRANSLATE_NOOP("BMainWindowState", "&Battle");

const char * helpMenu_N = QT_TRANSLATE_NOOP("BMainWindowState", "&Help");
const char * helpToolBar_N = QT_TRANSLATE_NOOP("BMainWindowState", "Help");

const char * helpContentsAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Contents");
const char * helpContentsAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "&Contents");
const char * helpContentsAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Opens online documentation");
const char * helpContentsAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Opens online documentation (complete reference manual) in the <b>Assistant</b> help viewer.<br><br>"
  "If help viewer <b>Assistant</b> is not available you can use your "
  "default brouser to view the documentation. The documentation is located "
  "in <b>doc</b> directory in the program installation directory");

const char * helpIndexAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Index");
const char * helpIndexAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "&Index");
const char * helpIndexAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Opens online documentation index");
const char * helpIndexAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Opens online documentation index in the <b>Assistant</b> help viewer");

const char * helpAboutAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "About");
const char * helpAboutAction_N = QT_TRANSLATE_NOOP("BMainWindowState", "&About");
const char * helpAboutAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Displays the program information and copyright");
const char * helpAboutAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Displays the program information and copyright");

const char * toolsOptionsAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Options...");
const char * toolsOptionsAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Displays the program options dialog");
const char * toolsOptionsAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Displays the program options dialog");

const char * ToolsMenu_N = QT_TRANSLATE_NOOP("BMainWindowState", "Tools" );

const char * viewZoomInAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Zoom in");
const char * viewZoomInAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Displays the map in more details");
const char * viewZoomInAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Displays the map in more details. The current map central part will be displayed<br><br>"
  "Zooming possibilities are limited to some maximum zoom");

const char * viewFullViewAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Full view");
const char * viewFullViewAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Displays the full map");
const char * viewFullViewAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Displays the full map. Use this command to quickly return to the most general view");

const char * viewZoomOutAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Zoom out" );
const char * viewZoomOutAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Displays the map in less details");
const char * viewZoomOutAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Displays the map in less details<br><br>"
  "Zooming possibilities are limited to full map view");

const char * viewModeSelectAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Select" );
const char * viewModeSelectAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Switches the map to the selection mode");
const char * viewModeSelectAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Switches the map to the selection mode<br><br>"
  "In this mode you can select several ships using mouse. Press the left mouse "
  "button and drag mouse to bound in rectangle all ships to select. "
  "Release mouse button - all ships in bounding rectangle will be selected.<br><br>"
  "Selected ships are highlighted with <b><font color=cyan>cyan</font></b>. "
  "One of selected ships, active ship, is highlighted with "
  "<b><font color=green>green</font></b>.<br><br>"
  "You can also select ships pressing mous left button on it. Use <b>Ctrl</b> key to "
  "change selection state of the single ship in selected group");

const char * viewModeConnectAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Connect" );
const char * viewModeConnectAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Switches the map to the connection mode");
const char * viewModeConnectAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Switches the map to the connection mode<br><br>"
  "In this mode you can connect ships to specify the leader and the followers. "
  "Press the left mouse button on the follower (pursuier) and move mouse to "
  "the leader (evader). Release mouse button over the leader. Connection "
  "will be created. Use the right mouse button over the connection to set its state. "
  "Connection can be active (displayed with <b><font color=black>black</font></b>) "
  "or inactive (displayed with <b><font color=gray>gray</font></b>). "
  "Inactive connection does nothing. Active connection stimulates computer "
  "to send commands to follower to go to the leader<br><br>"
  "To delete connection select it with mouse and press <b>Delete</b>");

const char * viewModeScaleAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Scale" );
const char * viewModeScaleAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Switches the map to the scale mode");
const char * viewModeScaleAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Switches the map to the scale mode<br><br>"
  "In this mode you can scale the map using mouse. Press the left mouse "
  "button and drag mouse to bound the area to display. "
  "Release mouse button - bounding area will be displayed.<br><br>"
  "Note: the maximum scale is limited, so, displayed area can differ from selected");

const char * viewToolBar_N = QT_TRANSLATE_NOOP("BMainWindowState", "View" );

const char * ViewMenu_N = QT_TRANSLATE_NOOP("BMainWindowState", "&View" );

const char * shipsGroupAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Group" );
const char * shipsGroupAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Creates new group");
const char * shipsGroupAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Creates new group<br><br>"
  "The selected ships will be included in group. If no ships are selected "
  "empty group will be created. The created group will be shown in <b>Ships tree</b> "
  "window at the top level. To put it in other place select it in the "
  "<b>Ships tree</b> window and dran'n'drop to the destination. To change "
  "group attributes select it in the <b>Ships tree</b> window and apply "
  "changes in the <b>Properties</b> window. To remove the group select it "
  "in the <b>Ships tree</b> window and press <b>Delete</b>");

const char * shipsUngroupAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Ungroup" );
const char * shipsUngroupAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Ungroups the selected ships");
const char * shipsUngroupAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Ungroups the selected ships<br><br>"
  "The selected ships and groups will be moved to the top level in the "
  "<b>Ships tree</b> window");

const char * shipsOrderAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Order" );
const char * shipsOrderAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Orders the selected ships");
const char * shipsOrderAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Orders the selected ships<br><br>"
  "The selected ships (highlighted with <b><font color=cyan>cyan</font></b>) "
  "will be arranged in the line after the active ship "
  "(highlighted with <b><font color=green>green</font></b>). "
  "The active ship speed and course will be assigned to all selected ships");
const char * shipsToolBar_N = QT_TRANSLATE_NOOP("BMainWindowState", "Ships" );

const char * shipsMenu_N = QT_TRANSLATE_NOOP("BMainWindowState", "&Ships" );

const char * aiShowCsAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Show chasing connections" );
const char * aiShowCsAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Shows the leader - follower connection");
const char * aiShowCsAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Shows the leader - follower connection<br><br>"
  "This command only changes the display mode of the connections. "
  "It does not turn on/off the connection state<br><br>"
  "To change the individual connection state use right mouse button menu");

const char * aiHideCsAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Hide chasing connections" );
const char * aiHideCsAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Hides the leader - follower connection");
const char * aiHideCsAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Hides the leader - follower connection<br><br>"
  "This command only changes the display mode of the connections. "
  "It does not turn on/off the connection state<br><br>"
  "To change the individual connection state use right mouse button menu");

const char * aiAutoControlAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Computer controls ships" );
const char * aiAutoControlAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Switches all the leader - follower connection to active state");
const char * aiAutoControlAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Switches all the leader - follower connection to active state<br><br>"
  "Connection can be active (displayed with <b><font color=black>black</font></b>) "
  "or inactive (displayed with <b><font color=gray>gray</font></b>). "
  "Inactive connection does nothing. Active connection stimulates computer "
  "to send commands to follower to go to the leader<br><br>"
  "To change the individual connection state use right mouse button menu");

const char * aiManualControlAction_TT = QT_TRANSLATE_NOOP("BMainWindowState", "Manual control over ships" );
const char * aiManualControlAction_ST = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Switches all the leader - follower connection to inactive state");
const char * aiManualControlAction_WT = QT_TRANSLATE_NOOP("BMainWindowState", 
  "Switches all the leader - follower connection to inactive state<br><br>"
  "Connection can be active (displayed with <b><font color=black>black</font></b>) "
  "or inactive (displayed with <b><font color=gray>gray</font></b>). "
  "Inactive connection does nothing. Active connection stimulates computer "
  "to send commands to follower to go to the leader<br><br>"
  "To change the individual connection state use right mouse button menu");

const char * aiToolBar_N = QT_TRANSLATE_NOOP("BMainWindowState", "Control Mode" );

const char * aiMenu_N = QT_TRANSLATE_NOOP("BMainWindowState", "Control" );
