/******************************************************************************/
/* BNewScenario -   BattleFleet              */
/******************************************************************************/

#ifndef BNewScenario_H
#define BNewScenario_H
static const char bnewscenario_h_id[]="@(#) $Id: bnewscenario.h,v 1.4 2004/10/13 05:33:51 Oleksiy Balabay Exp $"; static const char* bnewscenario_h_id_id=bnewscenario_h_id;
/** \file bnewscenario.h
  \brief  BNewScenario  BattleFleet

     BNewScenario  BattleFleet
*/
#include "bnewscenariobase.h"
class BScenarioHeader;

class BNewScenario: public BNewScenarioBase {
  Q_OBJECT
public:
  BNewScenario(QWidget* parent = 0, const char* name = 0, 
    WFlags fl = 0);
  virtual ~BNewScenario();
  QString scenarioFileName() const;
  QDateTime scenarioStartDate() const;
  QString scenarioName() const;
  QString scenarioSide1Name() const;
  QString scenarioSide2Name() const;
  void setScenarioHeader(const BScenarioHeader* h);
  bool checkValidity();
public slots:
  virtual bool slotOk(const QString& description);
private:
  void saveDefaultScenario(const QString& description);
  QString shipDbFiles();
  void saveFile(const QString& fileName, const QString& data);
  void setSide(QComboBox* c, const QString& name, const BScenarioHeader* h);
};

#endif // BNewScenario_H
