/******************************************************************************/
/* BProgramTurnInSuccession -   BattleFleet              */
/******************************************************************************/

#ifndef BProgramTurnInSuccession_H
#define BProgramTurnInSuccession_H
static const char bprogramturninsuccession_h_id[]="@(#) $Id: bprogramturninsuccession.h,v 1.5 2005/01/15 16:44:51 Oleksiy Balabay Exp $"; static const char* bprogramturninsuccession_h_id_id=bprogramturninsuccession_h_id;
/** \file bprogramturninsuccession.h
  \brief  BProgramTurnInSuccession  BattleFleet

     BProgramTurnInSuccession  BattleFleet
*/
#include "bprogramturnaccelerate.h"

class BProgramTurnInSuccession : public BProgramTurnAccelerate {
  friend class BProgramFactory;
  BProgramTurnInSuccession();
  static const QString PROGRAM_TYPE_TURN_IN_SUCCESSION;
public:
  virtual ~BProgramTurnInSuccession();
  virtual QDomElement toXml(QDomDocument& doc) const;
  virtual BProgram* clone() const;
  virtual BProgram* restOfProgram(const QDateTime& dt) const;
};

#endif // BProgramTurnInSuccession_H
