/******************************************************************************/
/* BScrollBar -   Battlefleet              */
/******************************************************************************/

#ifndef BScrollBar_H
#define BScrollBar_H
static const char bscrollbar_h_id[]="@(#) $Id: bscrollbar.h,v 1.2 2005/01/21 16:25:03 Oleksiy Balabay Exp $"; static const char* bscrollbar_h_id_id=bscrollbar_h_id;
/** \file bscrollbar.h
  \brief  BScrollBar  Battlefleet

     BScrollBar  Battlefleet
*/
#include <qscrollview.h>

class BScrollBar: public QScrollView {
  Q_OBJECT
  Q_PROPERTY(Orientation orient READ orientation WRITE setOrientation)
public:
  BScrollBar(QWidget* parent = 0, const char* name = "");
  virtual ~BScrollBar();
  Orientation orientation() const;
  void setOrientation(const Orientation orientation);
public slots:
  void setVisiblePartSlot(Orientation oR, int pos, int range);
private slots:
  void contentsMovingSlot(int x, int y);
  void horizontalSliderReleasedSlot();
  void verticalSliderReleasedSlot();
private:
  Orientation orient;
  bool _resizeSignalProcessing;
signals:
  void contentsMoved(Orientation oR, int pos);
};

#endif // BScrollBar_H
