/******************************************************************************/
/* BUiUtils -   BattleFleet              */
/******************************************************************************/

#ifndef BUiUtils_H
#define BUiUtils_H
static const char buiutils_h_id[]="@(#) $Id: buiutils.h,v 1.1 2004/02/01 17:53:21 Oleksiy Balabay Exp $"; static const char* buiutils_h_id_id=buiutils_h_id;
/** \file buiutils.h
  \brief  BUiUtils  BattleFleet

     BUiUtils  BattleFleet
*/
#include "boptionsdialog.h"
#include "bunitsconsts.h"

class QSettings; 

class BUiUtils {
public:
  BUiUtils();
  BUiUtils(const BPresentationUnits pUnits);
  ~BUiUtils();
  void setPresentationUnits(const BPresentationUnits pUnits);
  QString toString(const double value, const BPresentationValues pValue,
    int options = 0);
  static BPresentationUnits readConfig(QSettings* settings);
private:
  BPresentationUnits _pUnits;
};

#endif // BUiUtils_H
