/******************************************************************************/
/*  main()  BattleFleet                                     */
/******************************************************************************/
static const char main_cpp_id[]="@(#) $Id: main.cpp,v 1.5 2005/04/10 14:29:39 Oleksiy Balabay Exp $"; static const char* main_cpp_id_id=main_cpp_id;

/** \file main.cpp
  \brief  main()  BattleFleet

    main() ,     
  BApplication,       
   
*/
#include <qmessagebox.h>
#include <qtranslator.h>
#include <qtextcodec.h>

#include <stdexcept>
//#include "bconfig.h"
#include "bapplication.h"
#include "bexception.h"

int main( int argc, char** argv ) {
  try {
    BApplication app(argc, argv);
/*    QTranslator qt(0);
    qt.load(QString("qt_")+QTextCodec::locale(), app.applicationDirPath());
    app.installTranslator(&qt);
    QTranslator bf(0);
    bf.load(QString("battlefleet_")+QTextCodec::locale(), app.applicationDirPath());
    app.installTranslator(&bf);
*/
    app.exec();
    return 0;
  }
  catch(BException& e) {
    QApplication app(argc, argv);
    QMessageBox::critical(0, "Error", e.message()); 
  }
  catch(std::exception & e) {
    QApplication app(argc, argv);
    QMessageBox::critical(0, "Error", e.what()); 
  }
  catch(...) {
    QApplication app(argc, argv);
    QMessageBox::critical(0, "Error", "Unknown exception"); 
  }
  return 1;
}
