#ifndef BMATH_H
#define BMATH_H 
static const char bmath_h_id[]="@@(#) $Id: bmath.h,v 1.3 2005/01/14 16:20:42 Oleksiy Balabay Exp $"; static const char* bmath_h_id_id=bmath_h_id;

#include <qobject.h>

const double Pi = 3.1415926535;

#ifdef Q_WS_WIN 
  #ifdef BMATH_DLL
  #define BMATH_EXPORT __declspec(dllexport)
  #else
  #define BMATH_EXPORT __declspec(dllimport)
  #endif

#endif

#ifdef Q_WS_X11 
  #define BMATH_EXPORT
#endif


class BMATH_EXPORT MathExc {};
class BMATH_EXPORT BadRoot: public MathExc {};
class BMATH_EXPORT DivByZero: public MathExc {};
class BMATH_EXPORT InputData: public MathExc {};

#endif //BMATH_H
