/******************************************************************************/
/* BAIChasingTracksPF -   BattleFleet              */
/******************************************************************************/

#ifndef BAIChasingTracksPF_H
#define BAIChasingTracksPF_H
static const char baichasingtrackspf_h_id[]="@(#) $Id: baichasingtrackspf.h,v 1.1 2005/01/09 14:27:06 Oleksiy Balabay Exp $"; static const char* baichasingtrackspf_h_id_id=baichasingtrackspf_h_id;
/** \file baichasingtrackspf.h
  \brief  BAIChasingTracksPF  BattleFleet

     BAIChasingTracksPF  BattleFleet
*/
#include "baichasingtracks.h"

class BAIChasingTracksPF: public BAIChasingTracks {
public:
  BAIChasingTracksPF(BattleObserver* observer, 
    BattleObject* pursuier, BattleObject* evader);
  virtual ~BAIChasingTracksPF();
protected:
  virtual BFinder::PathFinderOutput findPathAlg(
    const BFinder::PathFinderInput& in);
  virtual double timeToAlg(
    const BFinder::PathFinderInput& in, bool* speedUp);
};

#endif // BAIChasingTracksPF_H
