/******************************************************************************/
/* BAppState -   BattleFleet  (impl.)            */
/******************************************************************************/
static const char bappstate_cpp_id[]="@(#) $Id: bappstate.cpp,v 1.9 2004/10/13 05:33:50 Oleksiy Balabay Exp $"; static const char* bappstate_cpp_id_id=bappstate_cpp_id;

#include <qprogressdialog.h>

#include "bexception.h"
#include "bappstate.h"
#include "bapplication.h"
#include "battle.h"

/** \file bappstate.cpp
  \brief  BAppState  BattleFleet (impl.)

     BAppState  BattleFleet
*/

/** \class BAppState
  \brief 


*/
/** \brief 
*/
BAppState::BAppState() {
  _battle = 0;
}

/** \brief 
*/
BAppState::~BAppState(){
  if (_battle)
    delete _battle;
}

Battle* BAppState::battle() const {
  return _battle;
}

BAppStateUndefined::BAppStateUndefined() {
}

BAppStateUndefined::~BAppStateUndefined(){
}

void BAppStateUndefined::init(const BattleLoadData& /* loadData */)  {
}

BAppModes BAppStateUndefined::appMode() {
  return UndefinedMode;
}

BAppStatePlay::BAppStatePlay() {
}

BAppStatePlay::~BAppStatePlay() {
}

void BAppStatePlay::init(const BattleLoadData& loadData)  {
  initBattle(loadData);
}

BAppModes BAppStatePlay::appMode() {
  return PlayMode;
}

void BAppStatePlay::initBattle(const BattleLoadData& loadData) 
   { 
  bApp->checkProgressDialog(5, 
    QProgressDialog::tr("Creating new scenario..."));
  _battle = new Battle(loadData);
  bApp->checkProgressDialog(25, 
    QProgressDialog::tr("New scenario initialization..."));
  _battle->init();
}

