/******************************************************************************/
/* BattleGame -                 */
/******************************************************************************/

#ifndef BattleGame_H
#define BattleGame_H
static const char battlegame_h_id[]="@(#) $Id: battlegame.h,v 1.2 2005/01/05 11:47:22 Oleksiy Balabay Exp $"; static const char* battlegame_h_id_id=battlegame_h_id;
/** \file battlegame.h
  \brief  BattleGame  

     BattleGame  
*/

#include "battle.h"
#include "bcollisions.h"

class BattleEvent;

class BattleGame: public Battle {
  Q_OBJECT
public:
  BattleGame(const BattleLoadData& loadData);
  virtual ~BattleGame();
  virtual BCollisions* collisionsDetector() const {
    return _collisions;
  }
protected:
  virtual void customEvent(QCustomEvent* e);
  virtual void processCollisions();
private:
  void postEvent(BattleEvent* e);
private:
  BCollisions* _collisions;
  BCollisions::Collisions _currentCollisions;
};

#endif // BattleGame_H
