/******************************************************************************/
/* BCentralToolTip -     (impl.)            */
/******************************************************************************/
static const char bcentraltooltip_cpp_id[]="@(#) $Id: bcentraltooltip.cpp,v 1.1 2005/01/05 11:47:22 Oleksiy Balabay Exp $"; static const char* bcentraltooltip_cpp_id_id=bcentraltooltip_cpp_id;

#include "bcentraltooltip.h"
#include "bcentral.h"

/** \file bcentraltooltip.cpp
  \brief  BCentralToolTip   (impl.)

     BCentralToolTip  
*/

/** \class BCentralToolTip
  \brief      BCentral.

    -   

  \see BCentral::tip()

*/
/** \brief 
*/
BCentralToolTip::BCentralToolTip(QWidget* parent)
  :QToolTip(parent) {

}

/** \brief 
*/
BCentralToolTip::~BCentralToolTip(){

}

void BCentralToolTip::maybeTip(const QPoint& pos) {
  if (!parentWidget()->inherits("BCentral")) {
    return;
  }
  QString txt;
  QRect r = ((BCentral*)parentWidget())->tip(pos, &txt);
  if (!r.isValid()) {
    return;
  }
  tip(r, txt);
}
