/******************************************************************************/
/* BControlMoveView -   BattleFleet              */
/******************************************************************************/

#ifndef BControlMoveView_H
#define BControlMoveView_H
static const char bcontrolmoveview_h_id[]="@(#) $Id: bcontrolmoveview.h,v 1.5 2005/01/24 03:50:43 Oleksiy Balabay Exp $"; static const char* bcontrolmoveview_h_id_id=bcontrolmoveview_h_id;
/** \file bcontrolmoveview.h
  \brief  BControlMoveView  BattleFleet

     BControlMoveView  BattleFleet
*/
#include <qdockwindow.h>

class BControlMove;
class BattleObject;
struct BUiSelectionInfo;
class BattleObserver;

extern const char* B_CONTROL_MOVE_VIEW;

class BControlMoveView: public QDockWindow {
  Q_OBJECT
public:
  BControlMoveView(BattleObserver* observer, QWidget* parent, const char* name);
  virtual ~BControlMoveView();
  QObject* view() const;
public slots:
  virtual void slotSelectionChanged(const BUiSelectionInfo& selectionInfo);
private:
  BControlMove* _view;
  BattleObserver* _observer;
};

#endif // BControlMoveView_H
