/******************************************************************************/
/* BDomUtils -   BattleFleet              */
/******************************************************************************/

#ifndef BDomUtils_H
#define BDomUtils_H
static const char bdomutils_h_id[]="@(#) $Id: bdomutils.h,v 1.5 2004/06/13 07:24:14 Oleksiy Balabay Exp $"; static const char* bdomutils_h_id_id=bdomutils_h_id;
/** \file bdomutils.h
  \brief  BDomUtils  BattleFleet

     BDomUtils  BattleFleet
*/
#include <qdom.h>
#include <qcolor.h>
#include <qdatetime.h>

#include "bexception.h"

class BDomUtils {
public:
  static int intAttribute(const QDomElement& e, const QString& attribute) 
   ;
  static QString stringAttribute(const QDomElement& e, const QString& attribute)
   ;
  static QString elementToString(const QDomElement& e);
  static void elementDoesNotExist(const QString& elementName) 
   ;
  static void attributeDoesNotExist(const QString& elementName,
    const QString& attributeName);
  static QColor colorFromString(const QString& color) 
   ;
  static QDateTime dateTimeFromXml(const QDomElement& e) 
   ;
  static QDomElement dateTimeToXml(const QDateTime& dt, 
    const QString& elementName, QDomDocument& doc);
  static double doubleAttribute(const QDomElement& e, const QString& attribute) 
   ;
  
};

#endif // BDomUtils_H
