/******************************************************************************/
/* BEventsHandler -                 */
/******************************************************************************/

#ifndef BEventsHandler_H
#define BEventsHandler_H
static const char beventshandler_h_id[]="@(#) $Id: beventshandler.h,v 1.1 2004/10/02 03:56:56 Oleksiy Balabay Exp $"; static const char* beventshandler_h_id_id=beventshandler_h_id;
/** \file beventshandler.h
  \brief  BEventsHandler  

     BEventsHandler  
*/
#include "bdomhandler.h"

class BEventsParser;

class BEventsHandler: public BDomHandler {
public:
  BEventsHandler(BEventsParser* parent);
  virtual ~BEventsHandler();
  virtual bool startElement( const QString& nsURI, const QString& localName, const QString& qName, const QXmlAttributes& atts );
  virtual bool endElement( const QString& nsURI, const QString& localName, const QString& qName );
  virtual bool characters( const QString& ch );
  virtual bool processingInstruction( const QString& target, const QString& data );
  virtual bool skippedEntity( const QString& name );

  // lexical handler
  virtual bool comment( const QString& ch );
private:
  bool isDomMode;
  BEventsParser* _parent;
};

#endif // BEventsHandler_H
