/******************************************************************************/
/* BEventsSaver -   BattleFleet              */
/******************************************************************************/

#ifndef BEventsSaver_H
#define BEventsSaver_H
static const char beventssaver_h_id[]="@(#) $Id: beventssaver.h,v 1.1 2004/10/02 03:56:56 Oleksiy Balabay Exp $"; static const char* beventssaver_h_id_id=beventssaver_h_id;
/** \file beventssaver.h
  \brief  BEventsSaver  BattleFleet

     BEventsSaver  BattleFleet
*/
#include <qfile.h>
#include <qtextstream.h>

class BEventsSaver {
public:
  BEventsSaver();
  virtual ~BEventsSaver();
  void add(const QString& s);
  void beginSave(const QString& fileName);
  void endSave();
  void addToSave(const QString& s);
private:
  static QString temporaryFileName();
  void copyTextFile(const QString& s, const QString& d);
private:
  QFile _tmpFile;
  QTextStream _os;
  QFile _df;
  QTextStream _ds;
};

#endif // BEventsSaver_H
