/******************************************************************************/
/* BEventsView -   BattleFleet              */
/******************************************************************************/

#ifndef BEventsView_H
#define BEventsView_H
static const char beventsview_h_id[]="@(#) $Id: beventsview.h,v 1.2 2005/01/05 11:47:23 Oleksiy Balabay Exp $"; static const char* beventsview_h_id_id=beventsview_h_id;
/** \file beventsview.h
  \brief  BEventsView  BattleFleet

     BEventsView  BattleFleet
*/
#include <qdockwindow.h>

class QToolButton;
class BEventsListView;
struct BattleInfo;
class BFactory;

class BEventsView: public QDockWindow {
  Q_OBJECT
  friend class BFactory;
protected:
  BEventsView(QWidget* parent, const char* name);
public:
  virtual ~BEventsView();
  void updateView(const BattleInfo& bi);
private:
  QWidget* _view;
protected:
  QToolButton* _askButton;
  QToolButton* _executeButton;
  QToolButton* _removeButton;
private:
  BEventsListView* _list;
};

class BEventsViewPlay: public BEventsView {
  Q_OBJECT
  friend class BFactoryPlay;
protected:
  BEventsViewPlay(QWidget* parent, const char* name);
public:
  virtual ~BEventsViewPlay();
};

#endif // BEventsView_H
