/******************************************************************************/
/* BKinematicData -   BattleFleet  (impl.)            */
/******************************************************************************/
static const char bkinematicdata_cpp_id[]="@(#) $Id: bkinematicdata.cpp,v 1.3 2005/02/15 16:43:34 Oleksiy Balabay Exp $"; static const char* bkinematicdata_cpp_id_id=bkinematicdata_cpp_id;

#include "bkinematicdata.h"
#include "bunitsconsts.h"

/** \file bkinematicdata.cpp
  \brief  BKinematicData  BattleFleet (impl.)

     BKinematicData  BattleFleet
*/

/** \class BKinematicData
  \brief 


*/

BKinematicData::BKinematicData(double x, double y, double course, double v, 
  double vTurnCompensated, double a, double r):_x(x), _y(y), _course(course),
  _v(v), _vTurnCompensated(vTurnCompensated), _a(a), _r(r) {
  while (_course < 0) {
    _course+=2*PI;
  }
  while (_course >= 2*PI) {
    _course -= 2*PI;
  }
}
