/******************************************************************************/
/* BMainWindowStatePlay -   BattleFleet              */
/******************************************************************************/

#ifndef BMainWindowStatePlay_H
#define BMainWindowStatePlay_H
static const char bmainwindowstateplay_h_id[]="@(#) $Id: bmainwindowstateplay.h,v 1.8 2005/03/13 08:31:09 Oleksiy Balabay Exp $"; static const char* bmainwindowstateplay_h_id_id=bmainwindowstateplay_h_id;
/** \file bmainwindowstateplay.h
  \brief  BMainWindowStatePlay  BattleFleet

     BMainWindowStatePlay  BattleFleet
*/

#include "bmainwindowstate.h"

class QLabel;
class BScrollBar;
class QComboBox;

class BMainWindowStatePlay: public BMainWindowState {
  Q_OBJECT
public:
  BMainWindowStatePlay(Battle* battle, BMainWindow* mainWindow, 
    const char* name);
  virtual ~BMainWindowStatePlay();
  virtual void init();
  virtual void update();
public slots:
  virtual void slotBattleInfoChanged(const BattleInfo& info);
protected:
  virtual void initBase();
  virtual QString stateName() const;
  virtual void clear();
  virtual QString defaultSettingsString() const;
  virtual void initViewGroup();
private:
  bool _isFinished;
};

#endif // BMainWindowStatePlay_H
