/******************************************************************************/
/* BMainWindowStateUndefined -   BattleFleet  (impl.)            */
/******************************************************************************/
static const char bmainwindowstateundefined_cpp_id[]="@(#) $Id: bmainwindowstateundefined.cpp,v 1.8 2005/02/20 14:44:59 Oleksiy Balabay Exp $"; static const char* bmainwindowstateundefined_cpp_id_id=bmainwindowstateundefined_cpp_id;


/** \file bmainwindowstateundefined.cpp
  \brief  BMainWindowStateUndefined  BattleFleet (impl.)

     BMainWindowStateUndefined  BattleFleet
*/
#include <qcombobox.h>

#include "bmainwindowstateundefined.h"
#include "bapplication.h"
#include "bmainwindow.h"
#include "bscenarioselection.h"
#include "blog.h"

/** \class BMainWindowStateUndefined
  \brief 


*/
/** \brief 
*/
BMainWindowStateUndefined::BMainWindowStateUndefined(Battle* battle, 
  BMainWindow* mainWindow, const char* name):BMainWindowState(battle, 
  mainWindow, name) {
  _mainWindow->setCaption(tr("BattleFleet"));
}

/** \brief 
*/
BMainWindowStateUndefined::~BMainWindowStateUndefined(){
  saveSettings();
}

QString BMainWindowStateUndefined::defaultSettingsString() const {
  //    ,     
  QString s = 
"\n"
"\n"
"\n"+
fileToolBar->caption()+","+
helpToolBar->caption()+",\n"+
"["+fileToolBar->caption()+",0,0,-1,-1,0]["
+helpToolBar->caption()+",0,0,-1,-1,1]\n"
+_mainWindow->logDockWindow()->caption()+",\n"+
"["+_mainWindow->logDockWindow()->caption()+",0,1,-1,141,1]\n"+
"\n"
"\n"
"\n"
"\n";
  return s;
}

void BMainWindowStateUndefined::initBase() {
  initFileGroup();
  initToolsGroup();
  initHelpGroup();
//  initLogGroup();
}


void BMainWindowStateUndefined::fileNew() {
  openScenario(BScenarioSelection::NewPage);
}

void BMainWindowStateUndefined::fileOpen() {
  openScenario(BScenarioSelection::OpenPage);
}

QString BMainWindowStateUndefined::stateName() const {
  return "Undefined";
}

void BMainWindowStateUndefined::showBallonHelp() {
  ;
}
