/******************************************************************************/
/* BObserverCentralEdit -   BattleFleet              */
/******************************************************************************/

#ifndef BObserverCentralEdit_H
#define BObserverCentralEdit_H
static const char bobservercentraledit_h_id[]="@(#) $Id: bobservercentraledit.h,v 1.5 2004/10/13 05:33:51 Oleksiy Balabay Exp $"; static const char* bobservercentraledit_h_id_id=bobservercentraledit_h_id;
/** \file bobservercentraledit.h
  \brief  BObserverCentralEdit  BattleFleet

     BObserverCentralEdit  BattleFleet
*/
#include "bobservercentral.h"

class BOCEditStateMove;

class BObserverCentralEdit: public BObserverCentral {
  Q_OBJECT
public:
  friend class BOCEditStateMove;
  BObserverCentralEdit(BUiState* uiState, Battle* battle, 
    QObject* parent, const char* name);
  virtual ~BObserverCentralEdit();
  virtual BOCEditState* currentState(QMouseEvent* e);
  virtual void init();
public slots:
  void slotBattleObjectAdded(BattleObject* o);
  void slotBattleObjectRemoved(BattleObject* o);
protected:
  virtual BCentral* createCentral(QWidget* parent, const char* name);
  virtual bool eventFilter(QObject* o, QEvent* e);
private:
  void deleteObject();
signals:
  void activeObjectChanged(BattleObject* o);
private:
  enum BCommand {
    Delete,
  };
  QMap<int, BCommand> _commands;
};

#endif // BObserverCentralEdit_H
