/******************************************************************************/
/* BProgramTurnSimultaneous -   BattleFleet              */
/******************************************************************************/

#ifndef BProgramTurnSimultaneous_H
#define BProgramTurnSimultaneous_H
static const char bprogramturnsimultaneous_h_id[]="@(#) $Id: bprogramturnsimultaneous.h,v 1.5 2005/01/15 16:44:51 Oleksiy Balabay Exp $"; static const char* bprogramturnsimultaneous_h_id_id=bprogramturnsimultaneous_h_id;
/** \file bprogramturnsimultaneous.h
  \brief  BProgramTurnSimultaneous  BattleFleet

     BProgramTurnSimultaneous  BattleFleet
*/
#include "bprogramturnaccelerate.h"

class BProgramTurnSimultaneous: public BProgramTurnAccelerate {
  friend class BProgramFactory;
  BProgramTurnSimultaneous();
  static const QString PROGRAM_TYPE_TURN_SIMULTANEOUS;
public:
  virtual ~BProgramTurnSimultaneous();
  virtual QDomElement toXml(QDomDocument& doc) const;
  virtual BProgram* clone() const;
  virtual BProgram* restOfProgram(const QDateTime& dt) const;
};

#endif // BProgramTurnSimultaneous_H
