/******************************************************************************/
/* BScenarioSave -   BattleFleet              */
/******************************************************************************/

#ifndef BScenarioSave_H
#define BScenarioSave_H
static const char bscenariosave_h_id[]="@(#) $Id: bscenariosave.h,v 1.2 2005/02/20 14:45:01 Oleksiy Balabay Exp $"; static const char* bscenariosave_h_id_id=bscenariosave_h_id;
/** \file bscenariosave.h
  \brief  BScenarioSave  BattleFleet

     BScenarioSave  BattleFleet
*/
#include "bscenariosavebase.h"

class BScenarioTable;

class BScenarioSave: public BScenarioSaveBase {
  Q_OBJECT
public:
  BScenarioSave(const QString& dir, const QString& fileName, 
    QWidget* parent, const char* name = 0);
  virtual ~BScenarioSave();
  QString fileName() const;
private:
  void initSaveTable();
private slots:
  void slotFileChanged(const QString& fileName);
  virtual void slotBeforeAccept();
  virtual void slotFileDoubleClicked();
  virtual void slotTextChanged(const QString& fileName);
  virtual void slotHelp();
private:
  BScenarioTable* _table;
  QString _dir;
  QString _baseFileName;
};

#endif // BScenarioSave_H
