/******************************************************************************/
/* BTmpFiles -                 */
/******************************************************************************/

#ifndef BTmpFiles_H
#define BTmpFiles_H
static const char btmpfiles_h_id[]="@(#) $Id: btmpfiles.h,v 1.1 2004/10/06 10:25:06 Oleksiy Balabay Exp $"; static const char* btmpfiles_h_id_id=btmpfiles_h_id;
/** \file btmpfiles.h
  \brief  BTmpFiles  

     BTmpFiles  
*/
#include <qstring.h>

class BTmpFiles {
private:
  BTmpFiles(const QString& tmpDir);
public:
  static BTmpFiles* instance(const QString& tmpDir = "");
  ~BTmpFiles();
  QString createFileName(const QString& baseName);
  QString createFileCopy(const QString& baseName);
private:
  bool checkDir(const QString& tmpDir);
private:
  QString _tmpDir;
  static BTmpFiles* _instance;
};

#endif // BTmpFiles_H
