/******************************************************************************/
/* BXmlConfig -   BattleFleet              */
/******************************************************************************/

#ifndef BXmlConfig_H
#define BXmlConfig_H
static const char bxmlconfig_h_id[]="@(#) $Id: bxmlconfig.h,v 1.7 2005/01/21 16:25:03 Oleksiy Balabay Exp $"; static const char* bxmlconfig_h_id_id=bxmlconfig_h_id;
/** \file bxmlconfig.h
  \brief  BXmlConfig  BattleFleet

     BXmlConfig  BattleFleet
*/
#include <qstring.h>
#include <qdom.h>

#include "bexception.h"

class QFile;

class BXmlConfig {
public:
  BXmlConfig(const QString& fileName);
  virtual ~BXmlConfig();
  QString fileName() const;
  void setFileName(const QString& fileName);
  void save(const QString& fileName) const;
protected:
  ///       
  BFileException addFileName(const BConfigException& e);
  virtual QDomDocument toXml() const{ return QDomDocument();};
protected:
  QDomDocument* _doc;
private:
  QDomDocument* loadDocument(QFile& file);
private:
  QString _fileName;
};

#endif // BXmlConfig_H
