/******************************************************************************/
/* BCollisionsAlg -                  */
/******************************************************************************/

#ifndef BCollisionsAlg_H
#define BCollisionsAlg_H
static const char bcollisionsalg_h_id[]="@(#) $Id: bcollisionsalg.h,v 1.1 2004/10/18 15:02:06 Oleksiy Balabay Exp $"; static const char* bcollisionsalg_h_id_id=bcollisionsalg_h_id;
/** \file bcollisionsalg.h
  \brief    
*/
#include <bmath.h>

struct BMATH_EXPORT BCollisionsData {
  double xA;
  double xB;
  double yA;
  double yB;
  double lA;
  double lB;
  double wA;
  double wB;
  double cA;
  double cB;
};

extern "C" {
  BMATH_EXPORT bool collides(const BCollisionsData& data);
}

#endif // BCollisionsAlg_H
