#include <qapplication.h>
#include <qpixmap.h>
#include <qbitmap.h>

int main( int argc, char** argv ) {
  QApplication app(argc, argv);
  QPixmap pm(app.argv()[1]);
  pm.setMask(pm.createHeuristicMask());
  QString name = QString::fromLocal8Bit(app.argv()[1]);
  int pos = name.find('.');
  if (pos != -1)
    name = name.left(pos);
  pm.save(name +".xpm", "XPM");
  pm.save(name + ".png", "PNG");
  return 0;
}